Package ch.qos.logback.core.pattern.parser

# Class Parser<E>

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.pattern.parser.Parser<E>

All Implemented Interfaces:
  `ContextAware`

public class Parser<E> extends ContextAwareBase

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Map<String,String>`
`DEFAULT_COMPOSITE_CONVERTER_MAP`
`static final String`
`MISSING_RIGHT_PARENTHESIS`
`static final String`
`REPLACE_CONVERTER_WORD`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`Parser(String pattern)`
`Parser(String pattern, IEscapeUtil escapeUtil)`

## Method Summary

Modifier and Type
Method
Description
`Converter<E>`
`compile(Node top, Map converterMap)`
When the parsing step is done, the Node list can be transformed into a converter chain.
`Node`
`parse()`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MISSING_RIGHT_PARENTHESIS

public static final String MISSING_RIGHT_PARENTHESIS

See Also:
  - Constant Field Values

### DEFAULT_COMPOSITE_CONVERTER_MAP

public static final Map<String,String> DEFAULT_COMPOSITE_CONVERTER_MAP

### REPLACE_CONVERTER_WORD

public static final String REPLACE_CONVERTER_WORD

See Also:
  - Constant Field Values

## Constructor Details

### Parser

public Parser(String pattern) throws ScanException

Throws:
  `ScanException`

### Parser

public Parser(String pattern, IEscapeUtil escapeUtil) throws ScanException

Throws:
  `ScanException`

## Method Details

### compile

public Converter<E> compile(Node top, Map converterMap)
When the parsing step is done, the Node list can be transformed into a converter chain.

Parameters:
  `top` -
  `converterMap` -
Returns:
Throws:
  `ScanException`

### parse

public Node parse() throws ScanException

Throws:
  `ScanException`